Subject: Re: bug#79455: "Value ‘1’ does not match type boolean" should mention which variable

From: Robert Pluim <[email-masked]>
Date: Tue, 16 Sep 2025 16:45:15 +0200

>>>>> On Tue, 16 Sep 2025 16:18:21 +0200, "R. Diez" <[email-masked]> said:

    R> [..]
    >> Thanks, this is bug#73084, which is already fixed on the master branch
    >> (which will eventually become Emacs 31).

    R> First of all, thanks for the info.

    R> That improvement was done over a year ago, and I hit this shortcoming the other day, after upgrading to the newest Emacs.

    R> It is a trivial change. Therefore, I wouldn't wait until Emacs 31, and
    R> then let many users switching to Emacs 30.x (perhaps over a Linux
    R> distribution package) unnecessarily scratch their heads.

Iʼm not sure there will ever be another release of Emacs 30.

Eli, I can backport 2ce0d397b12c to emacs-30 if you think it makes
sense.

Robert
--